Is Photon Voice 2 compatible with Bolt?

Hello, I am using Bolt latest version and tried to integrate Voice latest version into the mix but even after removing PUN and Photon Chat from Voice, as stated in the documentation, I am getting 52 errors.

Do I need to remove something else?

Thank you

Comments

  • JohnTubeJohnTube mod
    edited June 11
    Hi @acuitydev,

    Thank you for choosing Photon!

    Bolt and Photon Voice have been updated to have the same folders structure and avoid duplicate files and such errors.
    Removing PUN or Photon Chat is not really required.
    The errors shown in the pastebin suggest that there are still Photon3Unity3d.dll (libraries) in the same project in two different locations.
    The errors in the pastebin also show that PUN or Photon Chat files were not removed.
    Photon Voice 2.7 has a Menu Item shortcuts to delete those.
    This should have been fixed already in latest Bolt versions.
    We are also working on an integration demo between the two products but no ETA.

    I will ask my colleague @ramonmelo who is the lead developer on Bolt about the status.
  • Hello @acuitydev ,

    As @JohnTube said, we've been working to make Photon Bolt compatible with Photon Voice and this will be available on the next release v1.2.9.

    On our internal dev version, all issues are already fixed and we are just building a simple sample with Bolt + Voice running on the same scene, so you can get a starting point to build your Bolt games with voice chat enabled.
  • Hello! Thank you for your prompt response.
    I tried setting up everything again by importing Photon Voice 2 into a working project that uses bolt.
    Immediately, I get a compiler issue:

    error CS1704: An assembly with the same simple name 'Photon3Unity3D' has already been imported. Try removing one of the references (e.g. 'G:\Unity Projects\Repo\Riken\Assets\Plugins\PhotonRealtime\Photon3Unity3D.dll') or sign them to enable side-by-side.

    If I get rid of one of the dll files, I get 78 errors stating that multiple types already exist in both 'Photon3DotNet, Version=4.1.1.17, Culture=neutral, PublicKeyToken=null' and 'Photon3Unity3D, Version=4.1.2.10, Culture=neutral, PublicKeyToken=null'

    Deleting either of those files gives me some other errors related to ambiguous calls.

    Could you please direct me into having both packages working without any issues as your internal dev version please?

    Thank you!
  • Hi @acuitydev,

    Please wait until Photon Bolt 1.2.9 is released on the Unity Asset Store.
    Sorry for the inconvenience.
  • I understand. Do you happen to have a rough estimate of the release date?
Sign In or Register to comment.